全選択を解除する方法を教えて下さい

Japanese forum
mrrclb48z
Posts: 27
Joined: Wed Feb 07, 2018 11:20 am

全選択を解除する方法を教えて下さい

Postby mrrclb48z » Wed Feb 07, 2018 11:44 am

# -*- coding: utf-8 -*-
print "開始"
# https://forum.freecadweb.org/viewtopic.php?f=3&t=19248
# Code: Select all
Gui.Selection.clearSelection()
for obj in FreeCAD.ActiveDocument.Objects:
if obj.ViewObject.isVisible():
Gui.Selection.addSelection(obj)
# https://www.freecadweb.org/wiki/Manual/jp
# 選択機能を使う
for o in Gui.Selection.getSelectionEx():
print "オブジェクトネーム = ",o.ObjectName
for s in o.SubElementNames:
print "name: ",s
for s in o.SubObjects:
print "object: ",s
print "終了"

よろしくお願いします。
User avatar
h.tsubota
Posts: 34
Joined: Mon Mar 21, 2016 2:09 pm

Re: 全選択を解除する方法を教えて下さい

Postby h.tsubota » Thu Feb 08, 2018 6:58 am

ご自身でも書かれていますが

Code: Select all

Gui.Selection.clearSelection()
で解除されるのではないでしょうか。
手元のFreeCAD ver0.16 (Windows版)では問題なく選択解除できています。
mrrclb48z
Posts: 27
Joined: Wed Feb 07, 2018 11:20 am

Re: 全選択を解除する方法を教えて下さい

Postby mrrclb48z » Thu Feb 08, 2018 12:13 pm

できました。ありがとうございました。
マルチポストしてしまいました。
https://ja.stackoverflow.com/questions/ ... る方法を教えて下さい